Imagick::getImageProperties
Imagick::getImageRedPrimary
Imagick
PHP Manual

# Imagick::getImageProperty

Returns the named image property

### Description

string Imagick::getImageProperty ( string `$name` )

Returns the named image property. This method is available if Imagick has been compiled against ImageMagick version 6.3.2 or newer.

### Parameters

`name`

  name of the property (for example Exif:DateTime)

### Examples

Example #1 Using Imagick::getImageProperty:

Setting and getting image property

`<?php
$image = new Imagick();
$image->newImage(300, 200, "black");
$image->setImageProperty('Exif:Make', 'Imagick');
echo $image->getImageProperty('Exif:Make');
?>`

### See Also

- Imagick::setImageProperty

### Return Values

Returns a string containing the image property, false if a property with the given name does not exist.